<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2006 Elmar Hinz
 *  Contact: elmar.hinz@team-red.net
 *  All rights reserved
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 ***************************************************************/

tx_div::loadClass('class.tx_lib_actionController.php');

class tx_articles_controllers_search extends tx_lib_actionController{    
    var $extKey = 'articles';

    function defaultAction(){
        return 'Default Action';
    }

    function showAction(){
        tx_div::loadClass('models/class.tx_articles_models_articles.php');
        $data = t3lib_div::makeInstance('tx_articles_models_articles')->getList();
        return $this->getView($data)->render('search');
    }

    function getView(&$data){
        tx_div::loadClass('class.tx_lib_phpView.php');
        $view = t3lib_div::makeInstance('tx_lib_phpView');
        $view->data($data);
        $view->setTemplatePath($this->extPath() . 'templates');
        return $view;
    }


}

?>